@import "../../../../../../assets/css/constants.scss";

.gl-container {
  width: 100%;
  background-color: $PRIMARY_WHITE;
  form {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    .period-field {
      width: 45%;
      display: flex;
      justify-content: space-between;
      mat-form-field {
        width: 48%;
      }
    }
    mat-form-field {
      width: 45%;
    }
    .btn-group {
      width: 100%;
      display: flex;
      justify-content: space-around;
      flex-direction: row;
      button {
        background-color: $SANED_BTN_PRIMARY !important;
        border-color: $SANED_BTN_PRIMARY !important;
        color: $PRIMARY_WHITE !important;
        font-size: 20px;
        font-weight: 400;
        height: 48px;
        max-height: 48px;
        margin: 20px auto;
        display: flex;
        width: 300px;
        justify-content: center;
        &:disabled {
          opacity: 0.6;
        }
      }
      .reset-btn {
        background-color: $SANED_BTN_SECONDARY !important;
      }
    }
    .add-action {
      width: 100%;
      justify-content: center;
      align-items: center;
      display: flex;
      button {
        color: $PRIMARY_WHITE;
      }
      button {
        background-color: $SANED_BTN_SECONDARY !important;
        margin: 0 10px;
      }
    }
    .transaction-list {
      width: 100%;
      mat-list {
        width: 100%;
        mat-form-field {
          padding: 0 5px;
          max-width: 10.5% !important;
        }
        mat-list-item {
          margin: 10px 0;
        }
        .s-no {
          display: flex;
          flex-direction: column;
          width: 30px;
          mat-label {
            position: relative;
            top: -5px;
            left: -9px;
            color: grey;
            font-size: 13px;
          }
        }
        .remove {
          background-color: rgb(212, 69, 69) !important;
          color: $PRIMARY_WHITE;
        }
      }
    }
    .transaction-lists {
      width: 100%;
      ul {
        list-style: none;
        padding: 0;
        margin: 10px;
        li {
          position: relative;
          display: flex;
          flex-direction: row;
          flex-wrap: wrap;
          justify-content: space-around;
          border: 1px solid grey;
          padding: 15px;
          margin: 10px;
          mat-form-field {
            width: 30%;
          }
          .s-no {
            position: absolute;
            left: 1px;
            top: 2px;
            border: 1px solid black;
            border-radius: 13px;
            width: 25px;
            height: 25px;
            align-items: center;
            align-self: center;
            display: flex;
            justify-content: center;
          }
          .remove {
            background-color: rgb(212, 69, 69) !important;
            color: $PRIMARY_WHITE;
          }
        }
      }
    }
  }
}

input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
